Name | Type | Default |
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup [disabled]="true"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent {
|
enableHover
|
Boolean
|
false
|
Sets or gets the enableHover property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup [enableHover]="false"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent {
|
mode
|
enum:ButtonGroupMode
|
'default'
|
enum ButtonGroupMode { checkbox, radio, default } Sets or gets the mode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup [mode]="'radio'"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup [rtl]="true"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent {
|
template
|
enum:ButtonGroupTemplate
|
'default'
|
enum ButtonGroupTemplate { default, primary, success, warning, danger, info } Sets or gets the template property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup [template]="'success'"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup [theme]="'energyblue'"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent {
|
|
buttonclick
|
Event
|
|
This event is triggered when a button is clicked.
Code examples
Bind to the buttonclick event of jqxButtonGroup.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup (onButtonclick)="Buttonclick($event)"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent { Buttonclick(event: any): void
|
selected
|
Event
|
|
This event is triggered when a button is selected - in checkboxes or radio buttons mode.
Code examples
Bind to the selected event of jqxButtonGroup.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup (onSelected)="Selected($event)"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent { Selected(event: any): void
|
unselected
|
Event
|
|
This event is triggered when a button is unselected - in checkbox or radio buttons mode.
Code examples
Bind to the unselected event of jqxButtonGroup.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup (onUnselected)="Unselected($event)"> <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent { Unselected(event: any): void
|
|
Name | Return Type | Arguments |
disableAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup > <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myButtonGroup') myButtonGroup: jqxButtonGroupComponent; ngAfterViewInit(): void { this.myButtonGroup.disableAt(1);
|
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup > <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myButtonGroup') myButtonGroup: jqxButtonGroupComponent; ngAfterViewInit(): void { this.myButtonGroup.disable();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup > <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myButtonGroup') myButtonGroup: jqxButtonGroupComponent; ngAfterViewInit(): void { this.myButtonGroup.destroy();
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup > <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myButtonGroup') myButtonGroup: jqxButtonGroupComponent; ngAfterViewInit(): void { this.myButtonGroup.enable();
|
enableAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup > <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myButtonGroup') myButtonGroup: jqxButtonGroupComponent; ngAfterViewInit(): void { this.myButtonGroup.enableAt(1);
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup > <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myButtonGroup') myButtonGroup: jqxButtonGroupComponent; ngAfterViewInit(): void { this.myButtonGroup.focus();
|
getSelection
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup > <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myButtonGroup') myButtonGroup: jqxButtonGroupComponent; ngAfterViewInit(): void { let value = this.myButtonGroup.getSelection();
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup > <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myButtonGroup') myButtonGroup: jqxButtonGroupComponent; ngAfterViewInit(): void { this.myButtonGroup.render();
|
setSelection
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxButtonGroup #myButtonGroup > <button style="padding: 4px 16px" id='Left' value='Left'></button> <button style="padding: 4px 16px" id='Center' value='Center'></button> <button style="padding: 4px 16px" id='Right' value='Right'></button> </jqxButtonGroup> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myButtonGroup') myButtonGroup: jqxButtonGroupComponent; ngAfterViewInit(): void { this.myButtonGroup.setSelection(1);
|

Name | Type | Default |
disabled
|
boolean
|
false
|
Enables or disables the jqxButtonGroup.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} disabled={true}> <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableHover
|
boolean
|
false
|
Enables or disabled the highlight state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} enableHover={false}> <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
mode
|
ButtonGroupMode
|
'default'
|
ButtonGroupMode: "checkbox" | "radio" | "default"
Sets or gets the jqxButtonGroup's mode.
Possible Values:
'checkbox'
'radio'
'default'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} mode={ 'radio'}> <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} rtl={true}> <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
template
|
ButtonGroupTemplate
|
'default'
|
ButtonGroupTemplate: "default" | "primary" | "success" | "warning" | "danger" | "info"
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} template={ 'success'}> <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} theme={ 'material'}> <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
buttonclick
|
Event
|
|
This event is triggered when a button is clicked.
Code examples
Bind to the buttonclick event of jqxButtonGroup.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} onButtonclick={this.onButtonclick} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } private onButtonclick(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selected
|
Event
|
|
This event is triggered when a button is selected - in checkboxes or radio buttons mode.
Code examples
Bind to the selected event of jqxButtonGroup.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} onSelected={this.onSelected} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } private onSelected(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselected
|
Event
|
|
This event is triggered when a button is unselected - in checkbox or radio buttons mode.
Code examples
Bind to the unselected event of jqxButtonGroup.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} onUnselected={this.onUnselected} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } private onUnselected(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
disableAt
|
index
|
|
Disables a button at specific index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public componentDidMount(): void { this.myButtonGroup.current!.disableAt(1); } public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disable
|
None
|
|
Disables jqxButtonGroup.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public componentDidMount(): void { this.myButtonGroup.current!.disable(); } public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public componentDidMount(): void { this.myButtonGroup.current!.destroy(); } public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enable
|
None
|
|
Enables the jqxButtonGroup.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public componentDidMount(): void { this.myButtonGroup.current!.enable(); } public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableAt
|
index
|
|
Enables a button at specific index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public componentDidMount(): void { this.myButtonGroup.current!.enableAt(1); } public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getSelection
|
None
|
|
Gets the index or indexes of the selected button(s).
- Returns undefined when the "mode" property is "default".
- Returns the index of the selected button when the "mode" property is set the "radio". For example, if the first button is selected, the retuned value is 0.
- Returns an array of the selected buttons when the "mode" property is set to "checkbox". For example, if you have a group of three buttons and the first and third buttons are selected, the returned value will be [0, 2]
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public componentDidMount(): void { this.myButtonGroup.current!.getSelection(); } public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public componentDidMount(): void { this.myButtonGroup.current!.render(); } public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setSelection
|
index
|
|
Selects a button in checkbox or radio buttons mode
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxButtonGroup, { IButtonGroupProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttongroup'; class App extends React.PureComponent<{}, IButtonGroupProps> { private myButtonGroup = React.createRef<JqxButtonGroup>(); public componentDidMount(): void { this.myButtonGroup.current!.setSelection(1); } public render() { return ( <JqxButtonGroup ref={this.myButtonGroup} > <button style='padding: 4px 16px' id='Left' value='Left'></button> <button style='padding: 4px 16px' id='Center' value='Center'></button> <button style='padding: 4px 16px' id='Right' value='Right'></button> </JqxButtonGroup> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|